Package picard.illumina.parser.fakers

# Class BarcodeFileFaker

java.lang.Object
picard.illumina.parser.fakers.FileFaker
picard.illumina.parser.fakers.BarcodeFileFaker

public class BarcodeFileFaker extends FileFaker
Created by jcarey on 3/13/14.

## Constructor Summary

Constructors
Constructor
Description
`BarcodeFileFaker()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`addLeadingZeros()`
`protected int`
`bufferSize()`
`protected void`
`fakeFile(ByteBuffer buffer)`

### Methods inherited from class picard.illumina.parser.fakers.FileFaker

`fakeFile, fakeFile, fakeFile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BarcodeFileFaker

public BarcodeFileFaker()

## Method Details

### fakeFile

protected void fakeFile(ByteBuffer buffer)

Specified by:
  `fakeFile` in class `FileFaker`

### addLeadingZeros

protected boolean addLeadingZeros()

Specified by:
  `addLeadingZeros` in class `FileFaker`

### bufferSize

protected int bufferSize()

Specified by:
  `bufferSize` in class `FileFaker`